.nanum-myeongjo-bold {
  font-family: "Nanum Myeongjo", serif;
  font-weight: 700;
  font-style: normal;
}

.nanum-myeongjo-regular {
  font-family: "Nanum Myeongjo", serif;
  font-weight: 400;
  font-style: normal;
}

body {
  font-family: "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo",
    "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif, "Nanum Myeongjo", serif;
  margin: 0;
  padding: 60px 0 0;
  word-break: keep-all;
}
body.no-scroll {
  overflow: hidden;
}

h1,
h2,
h3,
h4 {
  margin-block-start: 0;
  margin-block-end: 0;
}
ul {
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
  padding-inline-start: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

p {
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
}

/* button style none */
button {
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
}

hr {
  display: block;
  margin-block-start: 0;
  margin-block-end: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
  unicode-bidi: isolate;
  overflow: hidden;
  border-style: initial;
  border-width: 1px;
}

section {
  max-width: 768px;
  margin: 0 auto;
  box-sizing: border-box;
}

.card-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.card-list .card {
  transition: box-shadow 0.3s ease;
  padding: 24px;
  align-items: flex-start;
  align-self: stretch;
  border-radius: 20px;
  background: #fff;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.08);
}

.card-list .card:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

.card-list .card .card-header {
  margin-bottom: 16px;
}

.card-list .card .card-category {
  color: #1c4fb2;
  display: block;
  margin-bottom: 10px;
  font-size: 16px;
  font-weight: 500;
  line-height: 140%; /* 22.4px */
}

.card-title {
  color: #111;
  font-size: 20px;
  font-weight: 700;
  margin: 0;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
  line-height: 140%; /* 28px */
}

.card-content p {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
  color: #111;
  font-size: 18px;
  font-weight: 400;
  overflow: hidden;
  line-height: 150%; /* 27px */
}

.card-list .card:nth-child(even) {
  background-color: #1c4fb2;
  color: #fff;
}
.card-list .card:nth-child(even) .card-category {
  color: #ddd;
}

.card-list .card:nth-child(even) .card-title,
.card-list .card:nth-child(even) .card-content p {
  color: #fff;
}

.card-list .card:nth-child(even) .read-more {
  color: #a5a7bb;
}

.read-more {
  margin-top: 20px;
  color: #a5a7bb;
  text-decoration: none;
  font-size: 14px;
  font-weight: 700;
  float: right;

  font-size: 14px;
  font-style: normal;
  line-height: 140%; /* 19.6px */
}

.read-more:hover {
  text-decoration: underline;
}

.pagination-wrap {
  display: flex;
  justify-content: center;
  gap: 12px;
}

.pagination-wrap .next,
.pagination-wrap .prev {
}

.pagination {
  display: flex;
  justify-content: center;
  gap: 6px;
  margin: 32px 0 40px;
}

.pagination li {
  display: flex;
  width: 32px;
  height: 32px;
  justify-content: center;
  align-items: center;
  border-radius: 999px;
  background: #fff;
  color: #666;
  text-align: center;

  font-size: 14px;
  font-style: normal;
  font-weight: 600;
  line-height: 150%;
}

.pagination li.active {
  background: #111;
  color: #fff;
}

.read-more-button {
  display: flex;
  padding: 0px 24px;
  justify-content: center;
  align-items: center;
  align-self: stretch;
  border-radius: 999px;
  border: 1px solid #1c4fb2;
  background: #fff;
  min-height: 40px;
  width: 100%;
  color: #1c4fb2;
  text-align: center;
  font-size: 18px;
  font-weight: 600;
  line-height: 150%;
}
.read-more-button.all {
  border: 1px solid rgba(0, 0, 0, 0.1);
  background: #eee;
  color: #333;
  text-align: center;
  font-family: Pretendard;
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: 150%; /* 27px */
}

.card-list .card .card-header img {
  width: 64px;
  height: 64px;
  border-radius: 50%;
  margin-bottom: 16px;
  object-fit: cover;
  object-position: top;
}

.card-list .half-thumbnail-card {
  display: flex;
  flex-direction: column;
  border-radius: 20px;
  background: #fff;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.08);
  overflow: hidden;
  height: 318px;
}

.card-list .half-thumbnail-card .card-header,
.card-list .half-thumbnail-card .card-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.card-list .half-thumbnail-card .card-header {
  position: relative;
  overflow: hidden;
  height: 160px;
}

.card-list .half-thumbnail-card .card-header img {
  width: 100%;
  height: 100%;
  object-fit: cover; /* 이미지가 부모 요소의 크기에 맞춰서 잘리도록 설정 */
  object-position: top;
}

.card-list .half-thumbnail-card .card-header .new {
  position: absolute;
  top: 24px;
  left: 24px;
  display: flex;
  padding: 2px 12px;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  background: #cf171b;
  color: #fff;
  font-family: Pretendard;
  font-size: 14px;
  font-style: normal;
  font-weight: 700;
  line-height: 140%; /* 19.6px */
}

.card-list .half-thumbnail-card .card-content {
  padding: 20px 24px 24px;
  height: 114px;
}

.card-list .half-thumbnail-card .card-content .card-title {
  margin-bottom: 6px;
}
.card-list .half-thumbnail-card .card-content .card-summary {
  color: #1c4fb2;
  font-family: Pretendard;
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 140%; /* 19.6px */
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: normal;
}

.card-list .half-thumbnail-card .card-content .created-at {
  color: #a5a7bb;
  font-family: Pretendard;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 140%; /* 19.6px */
}
